I have machines that have been updated to SP3 but I still see "discover
applicable updates windows-x86-en-xpsp2. Do I have to manually associate
SP3?

Zen 10.1.1